INSERT INTO public.wine_Type (Wine_Type_Id, Wine_Type_Name, Wine_Type_Description, Wine_Type_Region)
values
    (1,'Chardonnay','Bogat i kremast so noti na jabolko, citrus, i tropski ovoshja, chesto so kremasta tekstura dokolku e chuvan vo bure od dab.','Poloski Region'),
    (2,'Sauvignon Blanc','Svez i zestok so vkus na limeta, zeleno jabolko, i herbalni tonovi kako treva ili zelena piperka.','Loire Valley, Ovcepolski Region'),
    (3,'Pinot Noir','Lesno telo so svetli crveni ovoshni vkusi kako cherries, malini, i brusnica, dopolneti so zemjesti ili cvetni noti.','Kumanovski Region'),
    (4,'Cabernet Sauvignon','Silen vkus na crna ribizla, crna kapina, i tragovi na tutun ili dab','Kratovski Region'),
    (5,'Riesling','Aromatichen i cveten so vkusovi koi se dvizhat od zestok citrus do koskesti ovoshja, chesto so osvezhitelna kiselost. Mozhe da bide suv ili sladok.','Kavadarecki Region');
	
insert into public.Wine (Wine_id, Wine_Name, Base_Price, Year_Produced, Wine_Type_Id)
values
	(1, 'Monteko Chardonnay', 50,'2023-12-10 14:30:00',1),
	(2, 'Monteko Premium Chardonnay', 80,'2022-12-10 14:30:00',1),
	(3, 'Monteko Sauvignon Blanc', 30,'2021-12-10 14:30:00',2),
	(4, 'Monteko Premium Sauvignon Blanc', 90,'2022-11-10 14:30:00',2),
	(5, 'Monteko Pinot Noir', 100,'2020-12-10 14:30:00',3),
	(6, 'Monteko Premium Pinot Noir', 150,'2020-08-10 14:30:00',3),
	(7, 'Monteko Cabernet Sauvignon', 50,'2013-12-10 14:30:00',4),
	(8, 'Monteko Premium Cabernet Sauvignon', 250,'2017-12-10 14:30:00',4),
	(9, 'Monteko Riesling', 150,'2018-12-10 14:30:00',5),
	(10, 'Monteko Premium Riesling', 350,'2010-12-10 14:30:00',5);
	
insert into public.Customer_Type (Customer_Type_Id, Customer_Type_Name, Customer_Type_Description)
values
	(1, 'Supermarket','Golema prodavnica koja prodava poveketo tipovi na hrana i drugi proizvodi potrebni vo domot.'),
	(2, 'Kafana','Mesta kade lugjeto odat da jadat, pijat i razgovaraat.'),
	(3, 'Sopstvena Upotreba','Prodazhba na edno domakinstvo ili eden chovek za sopstvena upotreba.'),
	(4, 'Uvoz/Izvoz','Firmi koi vrshat uvoz/izvoz nadvor od zemjata.');
	
insert into public.Address (Address_Id, Street, City, Building_number, Postcode)
values
	(1,'Ilindenska','Skopje',17,'1000'),
	(2,'Pitu Guli','Tetovo',2,'1232'),
	(3,'Jane Sandanski','Kumanovo',13,'0077'),
	(4,'Goce Delcev','Kicevo',2,'5643'),
	(5,'Koco Racin','Veles',87,'4324'),
	(6,'Bulevar 1','Stip',13,'6547'),
	(7,'Glaven Bulevar','Strumica',15,'1111'),
	(8,'Chairska','Kratovo',43,'1360'),
	(9,'Dolnomalska','Kratovo',1,'1360'),
	(10,'Partizanska','Skopje',100,'1000');

insert into public.Customer (Customer_Id, Customer_Name, Customer_Email, Customer_Phone_Number, Customer_Type_Id, Address_Id)
values
	(1,'Rustikana','rustikana@email.com', '+389/77-434-232',2, 1),
	(2,'Ramstor Glaven Magacin','ramstor@email.com', '+389/77-443-232',1, 2),
	(3,'Vero Glaven Magacin','vero@email.com', '+389/77-434-265',1, 3),
	(4,'Jane Janev','janejanev@email.com', '+389/77-434-232',3, 5),
	(5,'Trajkovi Uvoz/Izvoz','trajkoviui@email.com', '+389/77-434-232',4, 4),
	(6,'Kafana Skopje','kafanaskopje@email.com', '+389/77-332-232',2, 6),
	(7,'Atanas Spasev','atanas@email.com', '+389/77-552-232',3, 7);

insert into public.Vehicle_Type (Vehicle_Type_Id, Vehicle_Type_Name)
values
	(1,'Kamion'),
	(2,'Kombe'),
	(3,'Kola');

insert into public.Vehicle (Vehicle_Id, Vehicle_Type_Id, Make, Model, Registration, Capacity)
values
	(1,1,'Ford','Cargo','kr-434-sk', 20000),
	(2,1,'Ford','Cargo','kr-332-sk', 20000),
	(3,1,'MAN','TGL','kr-356-sk', 15000),
	(4,2,'Ford','Transit','kr-196-sk', 8000),
	(5,2,'Ford','Transit','kr-897-sk', 8000),
	(6,2,'Peugeot','Expert','kr-934-sk', 5000),
	(7,3,'Peugeot','Partner','kr-237-sk', 2000),
	(8,3,'Ford','Escort','kr-646-sk', 1000),
	(9,3,'Citroen','C3','kr-223-sk', 1000);
	
insert into public.Payment (Payment_Id , Payment_Status)
values
	(1,0),
	(2,0),
	(3,0),
	(4,1),
	(5,1),
	(6,0),
	(7,0),
	(8,1),
	(9,1);

insert into public.Expense_Type (Expense_Type_Id, Expense_Type_Name, Expense_Type_Description)
values
	(1,'Gorivo','Gorivo Potroseno za vreme na dostavata za dvata pravci.(idenje i vrakjanje)'),
	(2,'Patarina', 'Trosoci za patarina za dvata pravci.(idenje i vrakjanje)'),
	(3,'Nepredvideni Trosoci', 'Site nepredvideni trosoci so koi moze da se sretneme za vreme na dostava.');
	
insert into public.Warehouse (Warehouse_Id, Warehouse_Name, Address_Id)
values
	(1,'Glaven Magacin', 8),
	(2,'Magacin 1', 9),
	(3,'Magacin Skopje', 10);
	
insert into public.Employee (Employee_Id, Employee_Name, Employee_Surname, Warehouse_Id)
values
	(1,'Trajce','Trajcev', 1),
	(2,'Janko','Janev', 1),
	(3,'Mite','Mitev', 1),
	(4,'Vlado','Georgiev', 1),
	(5,'Toshe','Toshev', 2),
	(6,'Vlatko','Ratevski', 2),
	(7,'Nikola','Nikolov', 3),
	(8,'Toshe','Janev', 3),
	(9,'Filip', 'Filipov', 3);
	
insert into public.employee_drives_vehicle ( Vehicle_Id, Employee_Id)
values
	(1,1),
	(2,1),
	(5,1),
	(6,2),
	(8,2),
	(3,3),
	(4,3),
	(7,4),
	(9,5),
	(2,5),
	(2,6),
	(4,7),
	(5,8),
	(8,9),
	(3,9);
	
insert into public.Shipment (Shipment_Id, Employee_Id, Payment_Id, Vehicle_Id, Shipment_Date)
values
	(1,1,1,1,'2024-12-10 14:30:00'),
	(2,1,2,5,'2024-12-09 14:30:00'),
	(3,2,3,6,'2024-12-08 14:30:00'),
	(4,2,4,6,'2024-12-07 14:30:00'),
	(5,5,5,2,'2024-12-06 14:30:00'),
	(6,6,6,2,'2024-12-06 14:30:00'),
	(7,6,7,2,'2024-12-04 14:30:00'),
	(8,9,8,8,'2024-12-03 14:30:00'),
	(9,4,9,7,'2024-12-03 14:30:00');

insert into public.shipment_has_expense_of_expense_type (Expense_Type_Id, Shipment_Id, Amount)
values
	(1,1,2500),
	(1,2,2000),
	(1,3,1500),
	(1,4,3000),
	(1,5,3500),
	(1,6,2100),
	(1,7,2200),
	(1,8,1000),
	(1,9,1500),
	(2,4,400),
	(2,2,250),
	(2,6,300),
	(2,7,800),
	(3,7,400),
	(3,8,700);

insert into public.shipment_load (Shipment_Id, Customer_Id, Wine_Id, Wine_Agreed_Price, Wine_Base_Price, Wine_Quantity)
values
	(1, 2, 1, 90, 50, 7000),
	(1, 2, 2, 170, 80, 12000),
	(2, 1, 3, 50, 30, 7000),
	(3, 6, 5, 150, 100, 4500),
	(4, 1, 8, 400, 250, 2000),
	(4, 6, 7, 60, 50, 2500),
	(5, 3, 9, 200, 150, 8000),
	(5, 3, 8, 450, 250, 10000),
	(5, 7, 8, 600, 250, 50),
	(6, 5, 6, 275, 150, 17000),
	(7, 2, 3, 45, 30, 15000),
	(7, 2, 4, 150, 90, 3000),
	(8, 6, 7, 75, 50, 7000),
	(9, 4, 10, 650, 350, 50),
	(9, 7, 9, 220, 150, 30);